Packages - Bug #2374
Bug # 2521 (fixed): [blender]: needs rebuild x86_64

[blender]: armv7h needs rebuild
2019-07-13 12:04 AM - bill-auger

Status: fixed % Done: 0%
Priority: broken

Assignee: bill-auger

Category:

Description
on x86_64

$ blender
blender: error while loading shared libraries: 1ibosdGPU.so.3.3.3: cannot open shared object file:
No such file or directory

History

#1 - 2019-08-02 08:34 AM - bill-auger

i forgot to update this one - i built the latest version in arch v2.79b-git7 but i did not publish it because it looked unreasonably large - 250MB for the
binary package with the installed size of 1.5GB and 500MB for the source-ball - i assumed something is not quite right - the arch package is only
44MB/217MB installed

anyways, it needs a rebuild now because of libopenimageio

$ blender
blender: error while loading shared libraries: libOpenImageIO.so.l1.8:
cannot open shared object file: No such file or directory

#2 - 2019-08-02 07:43 PM - bill-auger

freemor got this error:

| 102 | #error ABI <= 3 is deprecated, define OPENVDB_USE_DEPRECATED_ABRI to suppress this error
| | Ao

| make[2]: *** [intern/openvdb/CMakeFiles/bf_intern_openvdb.dir/build.make:63: intern/openvdb/CMakeFiles/bf_
intern_openvdb.dir/intern/openvdb_dense_convert.cc.o] Error 1

| make[l]: *** [CMakeFiles/Makefile2:1747: intern/openvdb/CMakeFiles/bf_intern_openvdb.dir/all] Error 2

| make: *** [Makefile:163: all] Error 2

| ==> ERROR: A failure occurred in build().

| Aborting...

<freemor> tried adding -DOPENVDB_USE_DEPRECATED_ABI=ON
<freemor> to the cmake line in the blender build .. that didn't help, same error.

i looked at the history of the blender PKGBUILD and i noticed a couple things that maybe relevant

https:/qit.parabola.nu/abslibre.git/commit/libre/blender/PKGBUILD?id=59cad02d19a88411cedbfc6f8ba21e4cf041321d
on 2018-06-25 ovruni removed this sed command:

- # openvdb 5 fix
- sed -i "s/OPENVDB_LIBRARY_MAJOR_VERSION_NUMBER == 3/0PENVDB_LIBRARY_MAJOR_VERSION_NUMBER >= 3/ g" intern / ope
nvdb/intern/openvdb_writer.cc

https://git.parabola.nu/abslibre.git/commit/libre/blender/PKGBUILD ?id=424bd40d884f503692d2bcab945375ecae07542e
on 2019-02-02 i added this config switch:

+ -DWITH_OPENVDB_3_ABI_COMPATIBLE=ON \

maybe something like that previous sed command needs to go back in; or maybe the config switch i added is the cause of the error freemor saw, or is
conflicting with the one freemor added

#3 - 2019-08-03 01:11 AM - freemor
- % Done changed from 0 to 50

2024-04-09 1/4



https://git.parabola.nu/abslibre.git/commit/libre/blender/PKGBUILD?id=59cad02d19a88411cedbfc6f8ba21e4cf041321d
https://git.parabola.nu/abslibre.git/commit/libre/blender/PKGBUILD?id=424bd40d884f503692d2bcab945375ecae07542e

- Assignee set to freemor

- Status changed from confirmed to in progress

Remved:

+ -DWITH_OPENVDB_3_ABI_COMPATIBLE=ON \

and it built fine.

x86_64 Released

ARM build starting.

Assigning to me for now so | can close if the ARM build works

#4 - 2019-08-03 01:55 AM - freemor
Prepare() fails for ARM:

| ==> Starting prepare()...

|  Submodule 'release/datafiles/locale' (/startdir/blender-translations.git) registered for path 'release/dat
afiles/locale’
|  Submodule 'release/scripts/addons' (/startdir/blender—-addons.git) registered for path 'release/scripts/add
ons'
| Submodule 'release/scripts/addons_contrib' (/startdir/blender-addons—-contrib.git) registered for path 'rel
ease/scripts/addons_contrib'
|  Submodule 'source/tools' (/startdir/blender-dev-tools.git) registered for path 'source/tools'
Cloning into '/build/blender/src/blender-2.79.b.git7.054dbb83/release/datafiles/locale’...
done.

|
|
| Unsupported setsockopt level=270 optname=3

| Cloning into '/build/blender/src/blender-2.79.b.git7.054dbb83/release/scripts/addons’'...

| done.

| Unsupported setsockopt level=270 optname=3

| Cloning into '/build/blender/src/blender-2.79.b.git7.054dbb83/release/scripts/addons_contrib'...

| done.

| Unsupported setsockopt level=270 optname=3

| Cloning into '/build/blender/src/blender-2.79.b.git7.054dbb83/source/tools"...

| done.

| Unsupported setsockopt level=270 optname=3

| From /build/blender/src/blender-translations

| * branch fec%9a7e88c8686830e9210099818a61489e699e4 —-> FETCH_HEAD

|  Unsupported setsockopt level=270 optname=3

| Submodule path 'release/datafiles/locale': checked out 'fec9a7e88c8686830e9210099818a61489e699¢e4"

| From /build/blender/src/blender—addons

| * branch 97bd21860£f110abb72e9f8ed8530bfe565470264 —-> FETCH_HEAD

| Unsupported setsockopt level=270 optname=3

|  Submodule path 'release/scripts/addons': checked out '97bd21860f110abb72e9f8ed8530bfe565470264"

|  Unsupported setsockopt level=270 optname=3

|  Submodule path 'release/scripts/addons_contrib': checked out '68a2d28b24430133946f21d7deedel312dl8laaf’
| Unsupported setsockopt level=270 optname=3

| Submodule path 'source/tools': checked out 'a64a4237d820c72c9f22e5ee7069c791f7ceb4d2b’

| patching file release/scripts/addons/io_mesh_stl/blender_utils.py

| patching file object_facemap_auto/auto_fmap_widgets.py

| patching file intern/cycles/device/device_cpu.cpp

| Hunk #1 FAILED at 719.

|
I
|

1 out of 1 hunk FAILED -- saving rejects to file intern/cycles/device/device_cpu.cpp.rej
==> ERROR: A failure occurred in prepare().
Aborting...

==> Copying log and package files out of the chroot...

Too tired.. going to bed

#5 - 2019-08-03 12:40 PM - freemor

seems the arm-no-sse2.patch is no longer required. file it was applied against doesn't seem to exist.
Tried without the patch.. got further.. but suddenly seems to depend X11 or part of it

|
| —— Performing Test SUPPORT_SSE_BUILD

| —-— Performing Test SUPPORT_SSE_BUILD - Failed
| —-— SSE Support: missing.

| —— Performing Test SUPPORT_SSE2_BUILD
—— Performing Test SUPPORT_SSE2_BUILD - Failed

—— SSE2 Support: missing.

-— Found Git: /usr/bin/git (found version "2.22.0"

CMake Error at /usr/share/cmake-3.15/Modules/FindPackageHandleStandardArgs.cmake:137 (message) :
Could NOT find X11 (missing: X11_X11_LIB)

Call Stack (most recent call first):
/usr/share/cmake-3.15/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)
/usr/share/cmake—-3.15/Modules/FindX11l.cmake:366 (find_package_handle_standard_args)
CMakeLists.txt:880 (find_package)

-— Configuring incomplete, errors occurred!
See also "/build/blender/src/blender-2.79.b.git7.054dbb83/build/CMakeFiles/CMakeOutput.log".
See also "/build/blender/src/blender-2.79.b.git7.054dbb83/build/CMakeFiles/CMakeError.log".
==> ERROR: A failure occurred in build() .
Aborting...
> Copying log and package files out of the chroot...

#6 - 2019-10-31 11:13 AM - bill-auger
- Related to Bug #2521 [blender]: needs rebuild x86_64 added

#7 - 2019-11-02 10:57 PM - bill-auger
- % Done changed from 50 to 0

- Subject changed from [blender]: needs rebuild to [blender]: armv7h needs rebuild

v2.80 has unsatisfiable deps for armv7h

unable to satisfy dependency 'ilmbase' required by openexr

unable to satisfy dependency 'ilmbase' required by openexr

unable to satisfy dependency 'openexr' required by alembic

unable to satisfy dependency 'ilmbase' required by openexr

unable to satisfy dependency 'openexr' required by openimageio

unable to satisfy dependency 'ilmbase' required by openexr

unable to satisfy dependency 'openexr' required by openimageio

unable to satisfy dependency 'openimageio' required by openshadinglanguage
unable to satisfy dependency 'ilmbase' required by openexr

unable to satisfy dependency 'openexr' required by openshadinglanguage
unable to satisfy dependency 'ilmbase' required by openexr

unable to satisfy dependency 'openexr' required by openvdb

unable to satisfy dependency 'ilmbase' required by openexr

unable to satisfy dependency 'openexr' required by openvdb

vV V V V V V V V V V V V V.V

#8 - 2019-11-02 11:00 PM - bill-auger
- Parent task set to #2521

#9 - 2019-11-30 06:42 AM - bill-auger
the deps problem above was because 'ilmbase' was merged into 'openexr’ - thats rebuilt and published now

the arm-no-sse2.patch may still be needed - the original file exists but the defines that the patch commented out are not in that file anymore - they do
appear in other files though - one file has them guarded by an #ifdef and the other doesnt, so i made a new patch for that

v2.81 did not have the configuration problem freemor had with the previous version - it got quite far into the build phase; then yay new error:
$ grep error: blender-17\:2.81-2.parabolal-armv7h-build.log

../source/blender/blenlib/BLI_assert.h:102:37: error: static assertion failed: "DNA struct size verify"
../source/blender/blenlib/BLI_assert.h:102:37: error: static assertion failed: "DNA struct size verify"

#10 - 2019-12-15 07:15 AM - bill-auger

the latest v17:2.81.a will need to wait until the new 'openimagedenoise’ dependency enters archarm

#11 - 2019-12-18 03:47 AM - bill-auger

- Status changed from in progress to forwarded upstream

as with i686 'openimagedenoise’ is optional - the assertion failure is due to the upstream dropping support for any 32-bit CPUs, starting from v2.81
onward - it appears that something new in v2.81 immediately broken 32-bit ARM

upstream BR:
https://devtalk.blender.org/t/raspbian-blender-as-a-python-module-build-errors/10473

2024-04-09 3/4


https://devtalk.blender.org/t/raspbian-blender-as-a-python-module-build-errors/10473

#12 - 2019-12-21 03:45 AM - bill-auger

- Assignee changed from freemor to bill-auger

i added a new patch suggested on the upstream bug tracker that allowed blender at git tag ‘v2.81a’, to compile successfully - not sure if the patch will
be upstreamed

#13 - 2019-12-21 03:45 AM - bill-auger

- Status changed from forwarded upstream to fixed
